Bug 1258001 - External Monitor not enabled after suspend - T440s
External Monitor not enabled after suspend - T440s
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gnome-shell (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Florian Müllner
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2015-08-28 11:12 EDT by Oliver Haessler
Modified: 2017-08-02 02:57 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oliver Haessler 2015-08-28 11:12:04 EDT
Description of problem:
When resuming a Lenovo T440s in a Dock with 1 external Monitor, after it was used without the dock, the Monitor is not recognized

Version-Release number of selected component (if applicable):
gnome-shell-3.14.4-26.el7.x86_64 (it also doe snot work in RHEL 7.2 Candidate)

How reproducible:
Every time after the Notebook was used without external Monitor

Steps to Reproduce:
1. use the Notebook inside the dock with the external Monitor connected (tested with Displayport and DVI)
2. suspend the Notebook
3. take it out of the dock
4. resume the Notebook and work with it
5. suspend the Notebook
6. dock the Notebook and resume

Actual results:
The external Monitor is not recognized.

Expected results:
Monitor should turn on and be set up as before

Additional info:
2 workarounds so far:
1. restart gnome-shell (Alt-F2 + r)
2. undock and dock the Notebook one more time (while it is running)
Comment 2 Matěj Cepl 2015-08-28 12:06:42 EDT
Duplicated/related to bug 1197677 ?
Comment 3 Florian Müllner 2015-09-04 09:04:36 EDT
This is a kernel issue, see bug 1254126.
Comment 4 Oliver Haessler 2015-09-04 09:31:00 EDT
do we have a patched kernel already to test out on RHEL 7.1?
Comment 5 Vladimir Benes 2015-10-22 08:05:51 EDT
kernel issue was fixed, this is gnome shell's piece missing in bug 1219476

Note You need to log in before you can comment on or make changes to this bug.